summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/updateCache
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2015-06-16 12:31:40 +0000
committeririna <irinagomez@us.es>2015-06-16 12:31:40 +0000
commitfe6843b59fa8ac9ce2e704443d2501ba172f4813 (patch)
tree06432dfe40b41831867f6a992385dd76c8d46162 /client/shared/scripts/updateCache
parent7829e4e9833f433746363856d446d08a367beb0c (diff)
#679 Cambio Repo: script de clonación y librerías de imagenes monolíticas comprobados con todos los protocolos
git-svn-id: https://opengnsys.es/svn/branches/version1.1@4653 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client/shared/scripts/updateCache')
-rwxr-xr-xclient/shared/scripts/updateCache18
1 files changed, 14 insertions, 4 deletions
diff --git a/client/shared/scripts/updateCache b/client/shared/scripts/updateCache
index 8760ddd2..03cc4234 100755
--- a/client/shared/scripts/updateCache
+++ b/client/shared/scripts/updateCache
@@ -27,7 +27,9 @@
#@date 2013-02-20
#@version 1.0.5 - uso de md5 full para las transferencias torrent, en la llamada => ogUpdateCacheIsNecesary
#@date 2014-07-09
-
+#@version 1.1 - Cambio de repositorio para el recurso remoto images si es necesario
+#@author Irina Gomez, ETSII Universidad de Sevilla
+#@date 2015-06-16
#*/ ##
PROG="$(basename $0)"
@@ -47,6 +49,13 @@ echo " " > $OGLOGCOMMAND
REPOSITORIO="${1^^}"
PROTOCOLO="${3^^}"
OPTPROTOCOLO="$4"
+# Si es una ip y es distinta a la del recurso samba cambiamos de REPO.
+ogCheckIpAddress $REPOSITORIO
+if [ $? == 0 -o $REPOSITORIO == "REPO" ] ; then
+ # Si falla el cambio -> salimos con error repositorio no valido
+ ogChangeRepo $REPOSITORIO || exit $(ogRaiseError $OG_ERR_NOTFOUND $REPOSITORIO; echo $?)
+ REPOSITORIO="REPO"
+fi
REPOIP=$(ogGetRepoIp)
ogEcho log session $REPOSITORIO $REPOIP $PROTOCOLO $OPTPROTOCOLO
@@ -75,7 +84,7 @@ else
# Si la imagen es monolitica y ha elegido protocolo = RSYNC salimos con error.
[ $PROTOCOLO == "RSYNC" ] && exit $(ogRaiseError session $OG_ERR_DONTSYNC_IMAGE "REPO $2"; echo $?)
IMGSYNC=FALSE
- ogUpdateCacheIsNecesary "$1" "$2" "$PROTOCOLO"
+ ogUpdateCacheIsNecesary "$REPOSITORIO" "$2" "$PROTOCOLO"
RETVAL=$?
fi
# si RETVAL=0 => actualizamos si RETVAL=1 no actaulizasmo-exit 0 || si RETVAL>2 exit 1
@@ -174,7 +183,7 @@ TIME1=$SECONDS
case "$PROTOCOLO" in
TORRENT)
- ogEcho log session "ogCopyFile $1 $2.torrent absolute $OGCAC/$OGIMG"
+ ogEcho log session "ogCopyFile $REPOSITORIO $2.torrent absolute $OGCAC/$OGIMG"
# tiempos
timewait=$(expr $(printf '%d\n' 0x$(ogGetMacAddress | awk -F: '{print $5$6}')) \* 120 / 65535)
ogExecAndLog command ogCopyFile $REPOSITORIO "$2.torrent" "$IMGDIR"
@@ -273,7 +282,8 @@ case "$PROTOCOLO" in
[ ${PIPESTATUS[0]} -eq 0 ] && RETVAL="1"|| RETVAL="2"
# Desmonto las imagenes
ogUnmountImage CACHE "$IMGNAME" $IMGTYPE
- ogUnmountImage REPO "$IMGNAME" $IMGTYPE
+ ogUnmountImage REPO "$IMGNAME" $IMGTYPE
+ ogUnlockImage CACHE "$2"
fi
;;
esac